Index: include/CMakeLists.txt
===================================================================
--- include/CMakeLists.txt	(revision 54114)
+++ include/CMakeLists.txt	(working copy)
@@ -104,11 +104,11 @@
 	install(FILES ${brlcadinclude_wanted} DESTINATION include/brlcad)
 endif(NOT BRLCAD_BUILD_BENCHMARK_ONLY AND NOT BRLCAD_BUILD_RTSERVER_ONLY)
 
-CMAKEFILES(${brlcadinclude_required})
-CMAKEFILES(${brlcadinclude_wanted})
-CMAKEFILES(${brlcadnoinst_HEADERS})
-CMAKEFILES(${brlcadinclude_misc})
-CMAKEFILES(Makefile.am)
+cmakefiles(${brlcadinclude_required})
+cmakefiles(${brlcadinclude_wanted})
+cmakefiles(${brlcadnoinst_HEADERS})
+cmakefiles(${brlcadinclude_misc})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: db/CMakeLists.txt
===================================================================
--- db/CMakeLists.txt	(revision 54114)
+++ db/CMakeLists.txt	(working copy)
@@ -70,14 +70,14 @@
   endif(BRLCAD_INSTALL_EXAMPLE_GEOMETRY)
   set(BUILT_MODELS "${BUILT_MODELS};${output_file}")
 endforeach(g_model ${G_SAMPLE_MODELS})
-CMAKEFILES(${G_SAMPLE_MODELS})
+cmakefiles(${G_SAMPLE_MODELS})
 
-SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${BUILT_MODELS}")
+set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${BUILT_MODELS}")
 
 if(BRLCAD_INSTALL_EXAMPLE_GEOMETRY)
-   BRLCAD_ADDDATA(terra.dsp db)
+   brlcad_adddata(terra.dsp db)
 endif(BRLCAD_INSTALL_EXAMPLE_GEOMETRY)
-CMAKEFILES(Makefile.am cornell.rt db.php include)
+cmakefiles(Makefile.am cornell.rt db.php include)
 
 # Local Variables:
 # tab-width: 8
Index: src/libfft/CMakeLists.txt
===================================================================
--- src/libfft/CMakeLists.txt	(revision 54114)
+++ src/libfft/CMakeLists.txt	(working copy)
@@ -7,7 +7,7 @@
 # local directories
 set(FFT_LOCAL_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR})
 
-BRLCAD_LIB_INCLUDE_DIRS(fft FFT_INCLUDE_DIRS FFT_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(fft FFT_INCLUDE_DIRS FFT_LOCAL_INCLUDE_DIRS)
 
 add_executable(fftc fftc.c splitditc.c)
 target_link_libraries(fftc ${M_LIBRARY})
@@ -43,13 +43,13 @@
   ${FFT_GEN_SRCS}
   )
 
-BRLCAD_ADDLIB(libfft "${LIBFFT_SRCS}" "${M_LIBRARY}")
-SET_TARGET_PROPERTIES(libfft PROPERTIES LINKER_LANGUAGE C)
-SET_TARGET_PROPERTIES(libfft PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libfft "${LIBFFT_SRCS}" "${M_LIBRARY}")
+set_target_properties(libfft PROPERTIES LINKER_LANGUAGE C)
+set_target_properties(libfft PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
 add_executable(fftest fftest.c)
 target_link_libraries(fftest libfft ${M_LIBRARY})
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/tab/CMakeLists.txt
===================================================================
--- src/tab/CMakeLists.txt	(revision 54114)
+++ src/tab/CMakeLists.txt	(working copy)
@@ -5,24 +5,24 @@
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   )
-LIST(REMOVE_DUPLICATES HALFTONE_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES HALFTONE_INCLUDE_DIRS)
 include_directories(${HALFTONE_INCLUDE_DIRS})
 
 if(LEX_EXECUTABLE)
-  LEX_TARGET(SS_Scanner script.l
+  lex_target(SS_Scanner script.l
     ${CMAKE_CURRENT_BINARY_DIR}/script.c COMPILE_FLAGS "-l")
-  BRLCAD_ADDEXEC(scriptsort "scriptsort.c;${LEX_SS_Scanner_OUTPUTS}" librt)
-  SET_TARGET_PROPERTIES(scriptsort PROPERTIES COMPILE_FLAGS "-Wno-error")
+  brlcad_addexec(scriptsort "scriptsort.c;${LEX_SS_Scanner_OUTPUTS}" librt)
+  set_target_properties(scriptsort PROPERTIES COMPILE_FLAGS "-Wno-error")
 else(LEX_EXECUTABLE)
-  CMAKEFILES(scriptsort.c)
+  cmakefiles(scriptsort.c)
 endif(LEX_EXECUTABLE)
 
-BRLCAD_ADDEXEC(script-tab script-tab.c "librt;libbn;libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(tabinterp tabinterp.c "librt;libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(tabsub tabsub.c "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(script-tab script-tab.c "librt;libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(tabinterp tabinterp.c "librt;libbu;${M_LIBRARY}")
+brlcad_addexec(tabsub tabsub.c "libbn;libbu;${M_LIBRARY}")
 
-CMAKEFILES(script.l tokens.h)
-CMAKEFILES(Makefile.am)
+cmakefiles(script.l tokens.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/nirt/CMakeLists.txt
===================================================================
--- src/nirt/CMakeLists.txt	(revision 54114)
+++ src/nirt/CMakeLists.txt	(working copy)
@@ -2,7 +2,7 @@
   ${FB_INCLUDE_DIRS}
   ${RT_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES NIRT_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES NIRT_INCLUDE_DIRS)
 include_directories(${NIRT_INCLUDE_DIRS})
 
 set(NIRT_SRCS
@@ -17,10 +17,10 @@
   parse_fmt.c
   )
 
-BRLCAD_ADDEXEC(nirt "${NIRT_SRCS}" "librt;libfb;${M_LIBRARY}")
-SET_PROPERTY(TARGET nirt APPEND PROPERTY COMPILE_DEFINITIONS "DFLT_SHELL=\"/bin/sh\"")
+brlcad_addexec(nirt "${NIRT_SRCS}" "librt;libfb;${M_LIBRARY}")
+set_property(TARGET nirt APPEND PROPERTY COMPILE_DEFINITIONS "DFLT_SHELL=\"/bin/sh\"")
 
-BRLCAD_ADDEXEC(showshot showshot.c libbn)
+brlcad_addexec(showshot showshot.c libbn)
 
 set(nirt_sfiles
   sfiles/csv.nrt
@@ -30,14 +30,14 @@
   sfiles/gap1.nrt
   sfiles/gap2.nrt
   )
-BRLCAD_ADDDATA(nirt_sfiles nirt)
+brlcad_adddata(nirt_sfiles nirt)
 
 set(nirt_ignore_files
   nirt.h
   usrfmt.h
   )
-CMAKEFILES(${nirt_ignore_files})
-CMAKEFILES(Makefile.am sfiles/Makefile.am)
+cmakefiles(${nirt_ignore_files})
+cmakefiles(Makefile.am sfiles/Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/bwish/CMakeLists.txt
===================================================================
--- src/bwish/CMakeLists.txt	(revision 54114)
+++ src/bwish/CMakeLists.txt	(working copy)
@@ -28,10 +28,10 @@
   set(btclsh_libs libtclcad libbu libtermio ${ITCL_LIBRARY})
 endif(WIN32)
 # Regardless of OS , make sure all the tclsh files are marked for CMake
-CMAKEFILES(cmd.c input.c main.c tcl.c cadAppInit.c consoleMain.c)
+cmakefiles(cmd.c input.c main.c tcl.c cadAppInit.c consoleMain.c)
 
 # Now, define the btclsh target
-BRLCAD_ADDEXEC(btclsh "${btclsh_srcs}" "${btclsh_libs}")
+brlcad_addexec(btclsh "${btclsh_srcs}" "${btclsh_libs}")
 
 # If we have Tk enabled, we want bwish too
 if(BRLCAD_ENABLE_TK)
@@ -44,12 +44,12 @@
   else(WIN32)
     # If we're not on Windows, bwish is just btclsh with more libraries and
     # an extra compilation definition
-    BRLCAD_ADDEXEC(bwish "${btclsh_srcs}" "libtclcad;libdm;libtermio;${X11_LIBRARIES};${X11_Xi_LIB};libdm;${ITCL_LIBRARY};${ITK_LIBRARY}")
+    brlcad_addexec(bwish "${btclsh_srcs}" "libtclcad;libdm;libtermio;${X11_LIBRARIES};${X11_Xi_LIB};libdm;${ITCL_LIBRARY};${ITK_LIBRARY}")
   endif(WIN32)
   # Both platform cases get the compilation flag
   set_target_properties(bwish PROPERTIES COMPILE_DEFINITIONS "BWISH=1")
 endif(BRLCAD_ENABLE_TK)
-CMAKEFILES(unixMain.c winMain.c cmd.c input.c main.c tcl.c)
+cmakefiles(unixMain.c winMain.c cmd.c input.c main.c tcl.c)
 
 if(ITCL_LIBRARY MATCHES "^itcl$")
   add_dependencies(btclsh itcl)
@@ -59,7 +59,7 @@
   add_dependencies(bwish itcl itk)
 endif(ITK_LIBRARY MATCHES "^itk$" AND BRLCAD_ENABLE_TK)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/util/CMakeLists.txt
===================================================================
--- src/util/CMakeLists.txt	(revision 54114)
+++ src/util/CMakeLists.txt	(working copy)
@@ -17,7 +17,7 @@
   )
 
 set(UTIL_ALL_INCLUDE_DIRS ${UTIL_INCLUDE_DIRS} ${UTIL_LOCAL_INCLUDE_DIRS})
-BRLCAD_SORT_INCLUDE_DIRS(UTIL_ALL_INCLUDE_DIRS)
+brlcad_sort_include_dirs(UTIL_ALL_INCLUDE_DIRS)
 include_directories(${UTIL_ALL_INCLUDE_DIRS})
 
 if(MSVC)
@@ -29,155 +29,155 @@
 
 
 if(BRLCAD_ENABLE_X11)
-  BRLCAD_ADDEXEC(pl-X pl-X.c "libdm;libbu")
+  brlcad_addexec(pl-X pl-X.c "libdm;libbu")
   if(BRLCAD_ENABLE_TK)
-    BRLCAD_ADDEXEC(pl-dm pl-dm.c "libdm;libbu;${M_LIBRARY}")
-    BRLCAD_ADDEXEC(bombardier bombardier.c "libtclcad;libbu")
+    brlcad_addexec(pl-dm pl-dm.c "libdm;libbu;${M_LIBRARY}")
+    brlcad_addexec(bombardier bombardier.c "libtclcad;libbu")
   endif(BRLCAD_ENABLE_TK)
 endif(BRLCAD_ENABLE_X11)
 
-BRLCAD_ADDDATA(pl-dm.c sample_applications)
+brlcad_adddata(pl-dm.c sample_applications)
 
 if(LIBPC_DIR)
-  BRLCAD_ADDEXEC(pc_test pc_test.c "libwdb;libpc" NO_INSTALL)
+  brlcad_addexec(pc_test pc_test.c "libwdb;libpc" NO_INSTALL)
 else(LIBPC_DIR)
-  CMAKEFILES(pc_test.c)
+  cmakefiles(pc_test.c)
 endif(LIBPC_DIR)
 
-BRLCAD_ADDEXEC(alias-pix alias-pix.c libbu)
-BRLCAD_ADDEXEC(ap-pix ap-pix.c libbu)
-BRLCAD_ADDEXEC(asc-pl asc-pl.c "libbn;libbu")
-BRLCAD_ADDEXEC(azel azel.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(bary bary.c libbu)
-BRLCAD_ADDEXEC(buffer buffer.c libbu)
-BRLCAD_ADDEXEC(bw-a bw-a.c "libfb;libbu")
-BRLCAD_ADDEXEC(bw-imp bw-imp.c libbu)
-BRLCAD_ADDEXEC(bw-pix bw-pix.c libbu)
-BRLCAD_ADDEXEC(bw-png bw-png.c "libfb;libbu;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(bw-ps bw-ps.c libbu)
-BRLCAD_ADDEXEC(bw-rle "bw-rle.c;rle_args.c" "libbu;libsysv;${UTAHRLE_LIBRARY}")
-BRLCAD_ADDEXEC(bw3-pix bw3-pix.c libbu)
-BRLCAD_ADDEXEC(bwcrop bwcrop.c libbu)
-BRLCAD_ADDEXEC(bwdiff bwdiff.c libbu)
-BRLCAD_ADDEXEC(bwfilter bwfilter.c libbu)
-BRLCAD_ADDEXEC(bwhist bwhist.c libfb)
-BRLCAD_ADDEXEC(bwhisteq bwhisteq.c libbu)
-BRLCAD_ADDEXEC(bwmod bwmod.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(bwrect bwrect.c libbu)
-BRLCAD_ADDEXEC(bwrot bwrot.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(bwscale bwscale.c libbu)
-BRLCAD_ADDEXEC(bwshrink bwshrink.c libbu)
-BRLCAD_ADDEXEC(bwstat bwstat.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(bwthresh bwthresh.c libbu)
-BRLCAD_ADDEXEC(cv cv.c libbu)
+brlcad_addexec(alias-pix alias-pix.c libbu)
+brlcad_addexec(ap-pix ap-pix.c libbu)
+brlcad_addexec(asc-pl asc-pl.c "libbn;libbu")
+brlcad_addexec(azel azel.c "libbu;${M_LIBRARY}")
+brlcad_addexec(bary bary.c libbu)
+brlcad_addexec(buffer buffer.c libbu)
+brlcad_addexec(bw-a bw-a.c "libfb;libbu")
+brlcad_addexec(bw-imp bw-imp.c libbu)
+brlcad_addexec(bw-pix bw-pix.c libbu)
+brlcad_addexec(bw-png bw-png.c "libfb;libbu;${PNG_LIBRARY}")
+brlcad_addexec(bw-ps bw-ps.c libbu)
+brlcad_addexec(bw-rle "bw-rle.c;rle_args.c" "libbu;libsysv;${UTAHRLE_LIBRARY}")
+brlcad_addexec(bw3-pix bw3-pix.c libbu)
+brlcad_addexec(bwcrop bwcrop.c libbu)
+brlcad_addexec(bwdiff bwdiff.c libbu)
+brlcad_addexec(bwfilter bwfilter.c libbu)
+brlcad_addexec(bwhist bwhist.c libfb)
+brlcad_addexec(bwhisteq bwhisteq.c libbu)
+brlcad_addexec(bwmod bwmod.c "libbu;${M_LIBRARY}")
+brlcad_addexec(bwrect bwrect.c libbu)
+brlcad_addexec(bwrot bwrot.c "libbu;${M_LIBRARY}")
+brlcad_addexec(bwscale bwscale.c libbu)
+brlcad_addexec(bwshrink bwshrink.c libbu)
+brlcad_addexec(bwstat bwstat.c "libbu;${M_LIBRARY}")
+brlcad_addexec(bwthresh bwthresh.c libbu)
+brlcad_addexec(cv cv.c libbu)
 # FIXME dbcp is a "copy program for UNIX" - will need some porting
 # work for Windows
 if(NOT WIN32)
-  BRLCAD_ADDEXEC(dbcp dbcp.c libbu)
+  brlcad_addexec(dbcp dbcp.c libbu)
 endif(NOT WIN32)
-BRLCAD_ADDEXEC(decimate decimate.c libbu)
-BRLCAD_ADDEXEC(double-asc double-asc.c "libfb;libbu")
-BRLCAD_ADDEXEC(dpix-pix dpix-pix.c libbu)
-BRLCAD_ADDEXEC(dsp_add dsp_add.c libbu)
+brlcad_addexec(decimate decimate.c libbu)
+brlcad_addexec(double-asc double-asc.c "libfb;libbu")
+brlcad_addexec(dpix-pix dpix-pix.c libbu)
+brlcad_addexec(dsp_add dsp_add.c libbu)
 # Not fixing these for Windows - they're on their way out (deprecated)
 if(NOT WIN32)
-  BRLCAD_ADDEXEC(dunncolor "dunncolor.c;dunncomm.c" libbu)
-  BRLCAD_ADDEXEC(dunnsnap "dunnsnap.c;dunncomm.c" "libfb;libbu")
+  brlcad_addexec(dunncolor "dunncolor.c;dunncomm.c" libbu)
+  brlcad_addexec(dunnsnap "dunnsnap.c;dunncomm.c" "libfb;libbu")
 endif(NOT WIN32)
-BRLCAD_ADDEXEC(fix_polysolids fix_polysolids.c "librt;libbu")
-BRLCAD_ADDEXEC(gencolor gencolor.c libbu)
-BRLCAD_ADDEXEC(hex hex.c libbu)
-BRLCAD_ADDEXEC(imgdims imgdims.c "libfb;libbu")
-BRLCAD_ADDEXEC(loop loop.c libbu)
-BRLCAD_ADDEXEC(lowp lowp.c libbu)
-BRLCAD_ADDEXEC(mac-pix mac-pix.c libbu)
-BRLCAD_ADDEXEC(random random.c "libbn;libbu")
-BRLCAD_ADDEXEC(orle-pix orle-pix.c "libfb;liborle;libbu")
-BRLCAD_ADDEXEC(pix-alias pix-alias.c libbu)
-BRLCAD_ADDEXEC(pix-bw pix-bw.c libbu)
-BRLCAD_ADDEXEC(pix-bw3 pix-bw3.c libbu)
-BRLCAD_ADDEXEC(pix-orle pix-orle.c "libfb;liborle;libbu")
-BRLCAD_ADDEXEC(pix-png pix-png.c "libfb;libbu;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(pix-ppm pix-ppm.c "libfb;libbu")
-BRLCAD_ADDEXEC(pix-ps pix-ps.c libbu)
-BRLCAD_ADDEXEC(pix-rle "pix-rle.c;rle_args.c" "libbu;libsysv;${UTAHRLE_LIBRARY}")
-BRLCAD_ADDEXEC(pix-spm pix-spm.c libbn)
-BRLCAD_ADDEXEC(pix-sun pix-sun.c libbu)
-BRLCAD_ADDEXEC(pix-yuv pix-yuv.c "libfb;libbn;libbu")
-BRLCAD_ADDEXEC(pix3filter pix3filter.c libbu)
-BRLCAD_ADDEXEC(pixbackgnd pixbackgnd.c libbu)
-BRLCAD_ADDEXEC(pixbgstrip pixbgstrip.c "libfb;libbu")
-BRLCAD_ADDEXEC(pixblend pixblend.c libbu)
-BRLCAD_ADDEXEC(pixborder pixborder.c "libfb;libbn;libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(pixbustup pixbustup.c libbu)
-BRLCAD_ADDEXEC(pixclump pixclump.c "libbn;libbu")
-BRLCAD_ADDEXEC(pixcolors pixcolors.c libbu)
-BRLCAD_ADDEXEC(pixcount pixcount.c libbu)
-BRLCAD_ADDEXEC(pixcut pixcut.c "libfb;libbu")
-BRLCAD_ADDEXEC(pixdiff pixdiff.c libbu)
-BRLCAD_ADDEXEC(pixdsplit pixdsplit.c libbu)
-BRLCAD_ADDEXEC(pixelswap pixelswap.c libbu)
-BRLCAD_ADDEXEC(pixembed pixembed.c libbu)
-BRLCAD_ADDEXEC(pixfade pixfade.c "libbn;libbu")
-BRLCAD_ADDEXEC(pixfields pixfields.c libbu)
-BRLCAD_ADDEXEC(pixfieldsep pixfieldsep.c libbu)
-BRLCAD_ADDEXEC(pixfilter pixfilter.c libbu)
-BRLCAD_ADDEXEC(pixhalve pixhalve.c "libfb;libbu")
-BRLCAD_ADDEXEC(pixhist pixhist.c "libfb;libbu")
-BRLCAD_ADDEXEC(pixhist3d pixhist3d.c "libfb;libbu")
-BRLCAD_ADDEXEC(pixhist3d-pl pixhist3d-pl.c "libbn;libbu")
-BRLCAD_ADDEXEC(pixinterp2x pixinterp2x.c libbu)
-BRLCAD_ADDEXEC(pixmatte pixmatte.c libbu)
-BRLCAD_ADDEXEC(pixmerge pixmerge.c libbu)
-BRLCAD_ADDEXEC(pixmorph pixmorph.c "libfb;libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(pixpaste pixpaste.c "libfb;libbu")
-BRLCAD_ADDEXEC(pixrect pixrect.c libbu)
-BRLCAD_ADDEXEC(pixrot pixrot.c libbu)
-BRLCAD_ADDEXEC(pixsaturate pixsaturate.c libbu)
-BRLCAD_ADDEXEC(pixscale pixscale.c libbu)
-BRLCAD_ADDEXEC(pixshrink pixshrink.c libbu)
-BRLCAD_ADDEXEC(pixstat pixstat.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(pixsubst pixsubst.c libbu)
-BRLCAD_ADDEXEC(pixtile pixtile.c libbu)
-BRLCAD_ADDEXEC(pixuntile pixuntile.c libbu)
-BRLCAD_ADDEXEC(pl-asc pl-asc.c libbu)
-BRLCAD_ADDEXEC(pl-hpgl pl-hpgl.c libbu)
-BRLCAD_ADDEXEC(pl-pl pl-pl.c libbu)
-BRLCAD_ADDEXEC(pl-ps pl-ps.c libbu)
-BRLCAD_ADDEXEC(pl-tek pl-tek.c libbu)
-BRLCAD_ADDEXEC(plcolor plcolor.c libbn)
-BRLCAD_ADDEXEC(pldebug pldebug.c libbu)
-SET_TARGET_PROPERTIES(pldebug PROPERTIES LINKER_LANGUAGE C)
-BRLCAD_ADDEXEC(plgetframe plgetframe.c libbu)
-BRLCAD_ADDEXEC(plline2 plline2.c "libbn;libbu")
-BRLCAD_ADDEXEC(plrot plrot.c "libbn;libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(plstat plstat.c libbu)
-BRLCAD_ADDEXEC(png-bw png-bw.c "libbn;libbu;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(png-pix png-pix.c "libbn;libbu;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(png_info png_info.c "libbn;libbu;${PNG_LIBRARY}")
-BRLCAD_ADDEXEC(rle-pix rle-pix.c "libbu;libsysv;${UTAHRLE_LIBRARY}")
+brlcad_addexec(fix_polysolids fix_polysolids.c "librt;libbu")
+brlcad_addexec(gencolor gencolor.c libbu)
+brlcad_addexec(hex hex.c libbu)
+brlcad_addexec(imgdims imgdims.c "libfb;libbu")
+brlcad_addexec(loop loop.c libbu)
+brlcad_addexec(lowp lowp.c libbu)
+brlcad_addexec(mac-pix mac-pix.c libbu)
+brlcad_addexec(random random.c "libbn;libbu")
+brlcad_addexec(orle-pix orle-pix.c "libfb;liborle;libbu")
+brlcad_addexec(pix-alias pix-alias.c libbu)
+brlcad_addexec(pix-bw pix-bw.c libbu)
+brlcad_addexec(pix-bw3 pix-bw3.c libbu)
+brlcad_addexec(pix-orle pix-orle.c "libfb;liborle;libbu")
+brlcad_addexec(pix-png pix-png.c "libfb;libbu;${PNG_LIBRARY}")
+brlcad_addexec(pix-ppm pix-ppm.c "libfb;libbu")
+brlcad_addexec(pix-ps pix-ps.c libbu)
+brlcad_addexec(pix-rle "pix-rle.c;rle_args.c" "libbu;libsysv;${UTAHRLE_LIBRARY}")
+brlcad_addexec(pix-spm pix-spm.c libbn)
+brlcad_addexec(pix-sun pix-sun.c libbu)
+brlcad_addexec(pix-yuv pix-yuv.c "libfb;libbn;libbu")
+brlcad_addexec(pix3filter pix3filter.c libbu)
+brlcad_addexec(pixbackgnd pixbackgnd.c libbu)
+brlcad_addexec(pixbgstrip pixbgstrip.c "libfb;libbu")
+brlcad_addexec(pixblend pixblend.c libbu)
+brlcad_addexec(pixborder pixborder.c "libfb;libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(pixbustup pixbustup.c libbu)
+brlcad_addexec(pixclump pixclump.c "libbn;libbu")
+brlcad_addexec(pixcolors pixcolors.c libbu)
+brlcad_addexec(pixcount pixcount.c libbu)
+brlcad_addexec(pixcut pixcut.c "libfb;libbu")
+brlcad_addexec(pixdiff pixdiff.c libbu)
+brlcad_addexec(pixdsplit pixdsplit.c libbu)
+brlcad_addexec(pixelswap pixelswap.c libbu)
+brlcad_addexec(pixembed pixembed.c libbu)
+brlcad_addexec(pixfade pixfade.c "libbn;libbu")
+brlcad_addexec(pixfields pixfields.c libbu)
+brlcad_addexec(pixfieldsep pixfieldsep.c libbu)
+brlcad_addexec(pixfilter pixfilter.c libbu)
+brlcad_addexec(pixhalve pixhalve.c "libfb;libbu")
+brlcad_addexec(pixhist pixhist.c "libfb;libbu")
+brlcad_addexec(pixhist3d pixhist3d.c "libfb;libbu")
+brlcad_addexec(pixhist3d-pl pixhist3d-pl.c "libbn;libbu")
+brlcad_addexec(pixinterp2x pixinterp2x.c libbu)
+brlcad_addexec(pixmatte pixmatte.c libbu)
+brlcad_addexec(pixmerge pixmerge.c libbu)
+brlcad_addexec(pixmorph pixmorph.c "libfb;libbu;${M_LIBRARY}")
+brlcad_addexec(pixpaste pixpaste.c "libfb;libbu")
+brlcad_addexec(pixrect pixrect.c libbu)
+brlcad_addexec(pixrot pixrot.c libbu)
+brlcad_addexec(pixsaturate pixsaturate.c libbu)
+brlcad_addexec(pixscale pixscale.c libbu)
+brlcad_addexec(pixshrink pixshrink.c libbu)
+brlcad_addexec(pixstat pixstat.c "libbu;${M_LIBRARY}")
+brlcad_addexec(pixsubst pixsubst.c libbu)
+brlcad_addexec(pixtile pixtile.c libbu)
+brlcad_addexec(pixuntile pixuntile.c libbu)
+brlcad_addexec(pl-asc pl-asc.c libbu)
+brlcad_addexec(pl-hpgl pl-hpgl.c libbu)
+brlcad_addexec(pl-pl pl-pl.c libbu)
+brlcad_addexec(pl-ps pl-ps.c libbu)
+brlcad_addexec(pl-tek pl-tek.c libbu)
+brlcad_addexec(plcolor plcolor.c libbn)
+brlcad_addexec(pldebug pldebug.c libbu)
+set_target_properties(pldebug PROPERTIES LINKER_LANGUAGE C)
+brlcad_addexec(plgetframe plgetframe.c libbu)
+brlcad_addexec(plline2 plline2.c "libbn;libbu")
+brlcad_addexec(plrot plrot.c "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(plstat plstat.c libbu)
+brlcad_addexec(png-bw png-bw.c "libbn;libbu;${PNG_LIBRARY}")
+brlcad_addexec(png-pix png-pix.c "libbn;libbu;${PNG_LIBRARY}")
+brlcad_addexec(png_info png_info.c "libbn;libbu;${PNG_LIBRARY}")
+brlcad_addexec(rle-pix rle-pix.c "libbu;libsysv;${UTAHRLE_LIBRARY}")
 if(CPP_DLL_DEFINES)
-  SET_PROPERTY(TARGET rle-pix APPEND PROPERTY COMPILE_DEFINITIONS "RLE_DLL_IMPORTS")
+  set_property(TARGET rle-pix APPEND PROPERTY COMPILE_DEFINITIONS "RLE_DLL_IMPORTS")
 endif(CPP_DLL_DEFINES)
-BRLCAD_ADDEXEC(sun-pix sun-pix.c libbu)
-BRLCAD_ADDEXEC(terrain terrain.c "libbn;libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(texturescale texturescale.c "libfb;libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(sun-pix sun-pix.c libbu)
+brlcad_addexec(terrain terrain.c "libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(texturescale texturescale.c "libfb;libbn;libbu;${M_LIBRARY}")
 #FIXME - Need to look at pcattcp port to Windows - ttcp should be
 #maintained and ported
 if(NOT WIN32)
-  BRLCAD_ADDEXEC(ttcp ttcp.c "${SOCKET_LIBRARY};${NSL_LIBRARY};${NETWORK_LIBRARY}")
+  brlcad_addexec(ttcp ttcp.c "${SOCKET_LIBRARY};${NSL_LIBRARY};${NETWORK_LIBRARY}")
 endif(NOT WIN32)
-BRLCAD_ADDEXEC(wavelet wavelet.c "libfb;libbn;libbu")
-BRLCAD_ADDEXEC(xyz-pl xyz-pl.c "libbn;libbu")
-BRLCAD_ADDEXEC(yuv-pix yuv-pix.c "libfb;libbn;libbu")
+brlcad_addexec(wavelet wavelet.c "libfb;libbn;libbu")
+brlcad_addexec(xyz-pl xyz-pl.c "libbn;libbu")
+brlcad_addexec(yuv-pix yuv-pix.c "libfb;libbn;libbu")
 
 install(PROGRAMS morphedit.tcl DESTINATION bin)
 
-BRLCAD_ADDEXEC(roots_example roots_example.c "libbu;librt" NO_INSTALL)
-BRLCAD_ADDDATA(roots_example.c sample_applications)
+brlcad_addexec(roots_example roots_example.c "libbu;librt" NO_INSTALL)
+brlcad_adddata(roots_example.c sample_applications)
 
-CMAKEFILES(bombardier.h rle_args.h morphedit.tcl pldebug.c)
-CMAKEFILES(Makefile.am)
+cmakefiles(bombardier.h rle_args.h morphedit.tcl pldebug.c)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libfb/CMakeLists.txt
===================================================================
--- src/libfb/CMakeLists.txt	(revision 54114)
+++ src/libfb/CMakeLists.txt	(working copy)
@@ -9,7 +9,7 @@
   ${TCL_INCLUDE_DIRS}
   ${TK_INCLUDE_PATH}
   )
-BRLCAD_LIB_INCLUDE_DIRS(fb FB_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(fb FB_INCLUDE_DIRS "")
 
 set(LINKLIBS "")
 if(BRLCAD_ENABLE_X11 AND X11_FOUND)
@@ -59,7 +59,7 @@
 # Unfortunately, on Mac OS X the OpenGL headers are not C90
 # compliant - anything pulling them in needs the C99 flag
 get_property(libfb_C_FLAGS GLOBAL PROPERTY libfb_C_FLAGS)
-LIST(APPEND libfb_C_FLAGS "${C99_FLAG}")
+list(APPEND libfb_C_FLAGS "${C99_FLAG}")
 set_property(GLOBAL PROPERTY libfb_C_FLAGS "${libfb_C_FLAGS}")
 
 add_definitions(
@@ -70,10 +70,10 @@
   ${XOPEN_DEFINE}
   )
 
-BRLCAD_ADDLIB(libfb "${LIBFB_SOURCES}" "libbu;libpkg;${LINKLIBS}")
-SET_TARGET_PROPERTIES(libfb PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libfb "${LIBFB_SOURCES}" "libbu;libpkg;${LINKLIBS}")
+set_target_properties(libfb PROPERTIES VERSION 20.0.1 SOVERSION 20)
 if(BRLCAD_BUILD_LOCAL_TK AND BRLCAD_ENABLE_TK)
-  ADD_DEPENDENCIES(libfb tk)
+  add_dependencies(libfb tk)
 endif(BRLCAD_BUILD_LOCAL_TK AND BRLCAD_ENABLE_TK)
 
 set(libfb_ignore_files
@@ -87,8 +87,8 @@
   if_wgl.c
   if_tk.c
   )
-CMAKEFILES(${libfb_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${libfb_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libmultispectral/CMakeLists.txt
===================================================================
--- src/libmultispectral/CMakeLists.txt	(revision 54114)
+++ src/libmultispectral/CMakeLists.txt	(working copy)
@@ -19,15 +19,15 @@
   ${RT_INCLUDE_DIRS}
   ${OPTICAL_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(multispectral MULTISPECTRAL_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(multispectral MULTISPECTRAL_INCLUDE_DIRS "")
 
 add_definitions(
   -DRT_MULTISPECTRAL
   )
 
-BRLCAD_ADDLIB(libmultispectral "${LIBMULTISPECTRAL_SRCS}" "librt;libbn;libbu")
-SET_TARGET_PROPERTIES(libmultispectral PROPERTIES VERSION 20.0.1 SOVERSION 20)
-CMAKEFILES(Makefile.am)
+brlcad_addlib(libmultispectral "${LIBMULTISPECTRAL_SRCS}" "librt;libbn;libbu")
+set_target_properties(libmultispectral PROPERTIES VERSION 20.0.1 SOVERSION 20)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libnurbs/CMakeLists.txt
===================================================================
--- src/libnurbs/CMakeLists.txt	(revision 54114)
+++ src/libnurbs/CMakeLists.txt	(working copy)
@@ -16,7 +16,7 @@
   ${BRLCAD_SOURCE_DIR}/src/other/Eigen
   )
 
-BRLCAD_LIB_INCLUDE_DIRS(nurbs NURBS_INCLUDE_DIRS NURBS_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(nurbs NURBS_INCLUDE_DIRS NURBS_LOCAL_INCLUDE_DIRS)
 
 set(LIBNURBS_SOURCES
   opennurbs_ext.cpp
@@ -29,8 +29,8 @@
   opennurbs_fit.cpp
   PullbackCurve.h
   )
-CMAKEFILES(${libnurbs_ignored_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${libnurbs_ignored_files})
+cmakefiles(Makefile.am)
 
 # Initialize libnurbs_DEFINES in case of reconfiguration
 set(libnurbs_DEFINES "")
@@ -43,7 +43,7 @@
 endif(CPP_DLL_DEFINES)
 set_property(GLOBAL PROPERTY libnurbs_DEFINES "${libnurbs_DEFINES}")
 
-BRLCAD_ADDLIB(libnurbs "${LIBNURBS_SOURCES}" "libbn;libbu;${OPENNURBS_LIBRARY};${ZLIB_LIBRARY};${WINSOCK_LIB};${RPCRT_LIB};${STDCXX_LIBRARIES}" NOSTRICTCXX)
+brlcad_addlib(libnurbs "${LIBNURBS_SOURCES}" "libbn;libbu;${OPENNURBS_LIBRARY};${ZLIB_LIBRARY};${WINSOCK_LIB};${RPCRT_LIB};${STDCXX_LIBRARIES}" NOSTRICTCXX)
 
 if(BUILD_STATIC_LIBS)
   set_property(TARGET libnurbs-static APPEND PROPERTY COMPILE_DEFINITIONS "OBJ_BREP=1")
@@ -52,7 +52,7 @@
 set_target_properties(libnurbs PROPERTIES VERSION 20.0.1 SOVERSION 20)
 if(CPP_DLL_DEFINES)
   if(BRLCAD_BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY)
-    SET_PROPERTY(TARGET libnurbs-static APPEND PROPERTY COMPILE_DEFINITIONS "ON_DLL_IMPORTS")
+    set_property(TARGET libnurbs-static APPEND PROPERTY COMPILE_DEFINITIONS "ON_DLL_IMPORTS")
   endif(BRLCAD_BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY)
 endif(CPP_DLL_DEFINES)
 
Index: src/libtclcad/CMakeLists.txt
===================================================================
--- src/libtclcad/CMakeLists.txt	(revision 54114)
+++ src/libtclcad/CMakeLists.txt	(working copy)
@@ -15,7 +15,7 @@
   ${PNG_INCLUDE_DIR}
   )
 
-BRLCAD_LIB_INCLUDE_DIRS(tclcad TCLCAD_INCLUDE_DIRS TCLCAD_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(tclcad TCLCAD_INCLUDE_DIRS TCLCAD_LOCAL_INCLUDE_DIRS)
 
 add_definitions(
   ${C99_FLAG}
@@ -30,11 +30,11 @@
   tkImgFmtPIX.c
   cmdhist_obj.c
   )
-BRLCAD_ADDLIB(libtclcad "${LIBTCLCAD_SRCS}" "libged;libdm;${TCLCAD_XLIBS};${X11_Xi_LIB}")
-SET_TARGET_PROPERTIES(libtclcad PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libtclcad "${LIBTCLCAD_SRCS}" "libged;libdm;${TCLCAD_XLIBS};${X11_Xi_LIB}")
+set_target_properties(libtclcad PROPERTIES VERSION 20.0.1 SOVERSION 20)
 set(tclcad_ignore_files tclcad_private.h)
-CMAKEFILES(${tclcad_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${tclcad_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/sig/CMakeLists.txt
===================================================================
--- src/sig/CMakeLists.txt	(revision 54114)
+++ src/sig/CMakeLists.txt	(working copy)
@@ -2,46 +2,46 @@
   ${BU_INCLUDE_DIRS}
   ${FFT_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES SIG_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES SIG_INCLUDE_DIRS)
 include_directories(${SIG_INCLUDE_DIRS})
 
-BRLCAD_ADDEXEC(a-d a-d.c libbu)
-BRLCAD_ADDEXEC(bw-d bw-d.c libbu)
-BRLCAD_ADDEXEC(c-d c-d.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(d-a d-a.c libbu)
-BRLCAD_ADDEXEC(d-bw d-bw.c libbu)
-BRLCAD_ADDEXEC(d-f d-f.c libbu)
-BRLCAD_ADDEXEC(d-i d-i.c libbu)
-BRLCAD_ADDEXEC(d-u d-u.c libbu)
-BRLCAD_ADDEXEC(d2-c d2-c.c libbu)
-BRLCAD_ADDEXEC(damdf damdf.c libbu)
-BRLCAD_ADDEXEC(dauto dauto.c libbu)
-BRLCAD_ADDEXEC(dauto2 dauto2.c libbu)
-BRLCAD_ADDEXEC(dconv dconv.c "libbu;libfft")
-BRLCAD_ADDEXEC(ddisp ddisp.c libfb)
-BRLCAD_ADDEXEC(dfft "dfft.c;interp.c;butter.c" "libbu;libfft")
-BRLCAD_ADDEXEC(dmod dmod.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(dpeak dpeak.c libbu)
-BRLCAD_ADDEXEC(dsel dsel.c libbu)
-BRLCAD_ADDEXEC(dstats dstats.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(dwin "dwin.c;coswin.c;hamwin.c" "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(f-d f-d.c libbu)
-BRLCAD_ADDEXEC(f-i f-i.c libbu)
-BRLCAD_ADDEXEC(fhor fhor.c libfb)
-BRLCAD_ADDEXEC(i-a i-a.c libbu)
-BRLCAD_ADDEXEC(i-d i-d.c libbu)
-BRLCAD_ADDEXEC(i-f i-f.c libbu)
-BRLCAD_ADDEXEC(ihist ihist.c libbu)
-BRLCAD_ADDEXEC(imod imod.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(istats istats.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(smod smod.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(u-a u-a.c libbu)
-BRLCAD_ADDEXEC(u-bw u-bw.c libbu)
-BRLCAD_ADDEXEC(u-d u-d.c libbu)
-BRLCAD_ADDEXEC(u-f u-f.c libbu)
-BRLCAD_ADDEXEC(umod umod.c "libbu;${M_LIBRARY}")
-BRLCAD_ADDEXEC(ustats ustats.c "libbu;${M_LIBRARY}")
-CMAKEFILES(Makefile.am)
+brlcad_addexec(a-d a-d.c libbu)
+brlcad_addexec(bw-d bw-d.c libbu)
+brlcad_addexec(c-d c-d.c "libbu;${M_LIBRARY}")
+brlcad_addexec(d-a d-a.c libbu)
+brlcad_addexec(d-bw d-bw.c libbu)
+brlcad_addexec(d-f d-f.c libbu)
+brlcad_addexec(d-i d-i.c libbu)
+brlcad_addexec(d-u d-u.c libbu)
+brlcad_addexec(d2-c d2-c.c libbu)
+brlcad_addexec(damdf damdf.c libbu)
+brlcad_addexec(dauto dauto.c libbu)
+brlcad_addexec(dauto2 dauto2.c libbu)
+brlcad_addexec(dconv dconv.c "libbu;libfft")
+brlcad_addexec(ddisp ddisp.c libfb)
+brlcad_addexec(dfft "dfft.c;interp.c;butter.c" "libbu;libfft")
+brlcad_addexec(dmod dmod.c "libbu;${M_LIBRARY}")
+brlcad_addexec(dpeak dpeak.c libbu)
+brlcad_addexec(dsel dsel.c libbu)
+brlcad_addexec(dstats dstats.c "libbu;${M_LIBRARY}")
+brlcad_addexec(dwin "dwin.c;coswin.c;hamwin.c" "libbu;${M_LIBRARY}")
+brlcad_addexec(f-d f-d.c libbu)
+brlcad_addexec(f-i f-i.c libbu)
+brlcad_addexec(fhor fhor.c libfb)
+brlcad_addexec(i-a i-a.c libbu)
+brlcad_addexec(i-d i-d.c libbu)
+brlcad_addexec(i-f i-f.c libbu)
+brlcad_addexec(ihist ihist.c libbu)
+brlcad_addexec(imod imod.c "libbu;${M_LIBRARY}")
+brlcad_addexec(istats istats.c "libbu;${M_LIBRARY}")
+brlcad_addexec(smod smod.c "libbu;${M_LIBRARY}")
+brlcad_addexec(u-a u-a.c libbu)
+brlcad_addexec(u-bw u-bw.c libbu)
+brlcad_addexec(u-d u-d.c libbu)
+brlcad_addexec(u-f u-f.c libbu)
+brlcad_addexec(umod umod.c "libbu;${M_LIBRARY}")
+brlcad_addexec(ustats ustats.c "libbu;${M_LIBRARY}")
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libged/CMakeLists.txt
===================================================================
--- src/libged/CMakeLists.txt	(revision 54114)
+++ src/libged/CMakeLists.txt	(working copy)
@@ -317,14 +317,14 @@
   ${LIBGED_CMD_INCLUDE_DIRS}
   )
 
-BRLCAD_LIB_INCLUDE_DIRS(ged GED_INCLUDE_DIRS GED_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(ged GED_INCLUDE_DIRS GED_LOCAL_INCLUDE_DIRS)
 
 if(CPP_DLL_DEFINES)
   add_definitions(-DCLIPPER_DLL_IMPORTS)
 endif(CPP_DLL_DEFINES)
 
-BRLCAD_ADDLIB(libged "${LIBGED_SOURCES}" "libwdb;librt;libfb;libbu;libicv;libanalyze;${LIBGED_CMD_LIBS_LIST};${REGEX_LIBRARY};${WINSOCK_LIB};${CLIPPER_LIBRARY};${M_LIBRARY}" ${NOSTRICTCXX_SETTING})
-SET_TARGET_PROPERTIES(libged PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libged "${LIBGED_SOURCES}" "libwdb;librt;libfb;libbu;libicv;libanalyze;${LIBGED_CMD_LIBS_LIST};${REGEX_LIBRARY};${WINSOCK_LIB};${CLIPPER_LIBRARY};${M_LIBRARY}" ${NOSTRICTCXX_SETTING})
+set_target_properties(libged PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
 set(ged_ignore_files
   ged_private.h
@@ -336,8 +336,8 @@
   simulate/simulate.h
   simulate/simutils.h
   )
-CMAKEFILES(${ged_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${ged_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libbn/tests/CMakeLists.txt
===================================================================
--- src/libbn/tests/CMakeLists.txt	(revision 54114)
+++ src/libbn/tests/CMakeLists.txt	(working copy)
@@ -1,6 +1,6 @@
-BRLCAD_ADDEXEC(tester_bn_coplanar_tri_tri_isect bn_coplanar_tri_tri_isect.c "libbu;libbn" NO_INSTALL LOCAL)
-BRLCAD_ADDEXEC(tester_bn_tri_tri_isect bn_tri_tri_isect.c "libbu;libbn" NO_INSTALL LOCAL)
-BRLCAD_ADDEXEC(tester_bn_list bn_list.c "libbu;libbn" NO_INSTALL LOCAL)
+brlcad_addexec(tester_bn_coplanar_tri_tri_isect bn_coplanar_tri_tri_isect.c "libbu;libbn" NO_INSTALL LOCAL)
+brlcad_addexec(tester_bn_tri_tri_isect bn_tri_tri_isect.c "libbu;libbn" NO_INSTALL LOCAL)
+brlcad_addexec(tester_bn_list bn_list.c "libbu;libbn" NO_INSTALL LOCAL)
 
 # For tester_bn_coplanar_tri_tri_isect, the input format is as follows:
 #
Index: src/libbn/CMakeLists.txt
===================================================================
--- src/libbn/CMakeLists.txt	(revision 54114)
+++ src/libbn/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${BRLCAD_SOURCE_DIR}/include
   ${BU_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(bn BN_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(bn BN_INCLUDE_DIRS "")
 
 set(LIBBN_SOURCES
   anim.c
@@ -40,14 +40,14 @@
   )
 
 
-BRLCAD_ADDLIB(libbn "${LIBBN_SOURCES}" libbu)
-SET_TARGET_PROPERTIES(libbn PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libbn "${LIBBN_SOURCES}" libbu)
+set_target_properties(libbn PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
-BRLCAD_ADDEXEC(bntester bntester.c "libbu;libbn" NO_INSTALL)
+brlcad_addexec(bntester bntester.c "libbu;libbn" NO_INSTALL)
 
 add_subdirectory(tests)
 
-CMAKEFILES(
+cmakefiles(
   Makefile.am
   README
   bntester.dat
